server.port=8089
spring.thymeleaf.cache=false


master.datasource.url = jdbc:mysql://git.topm.win:9001/visualinspection?useUnicode=true&characterEncoding=utf-8
master.datasource.username = root
master.datasource.password = root
master.datasource.driver-class-name = com.mysql.jdbc.Driver
master.mapper-locations=classpath:com/xintong/visualinspection/mapper/master/*.xml

## 用户数据源配置
cluster.datasource.url=jdbc:mysql://git.topm.win:9001/yanhai?useUnicode=true&characterEncoding=utf8
cluster.datasource.username=root
cluster.datasource.password=root
cluster.datasource.driver-class-name = com.mysql.jdbc.Driver
cluster.mapper-locations=classpath:com/xintong/visualinspection/mapper/cluster/*.xml


# 初始化大小，最小，最大
spring.datasource.initialSize=5
spring.datasource.minIdle=5
spring.datasource.maxActive=20
# 配置获取连接等待超时的时间
spring.datasource.maxWait=60000
# 配置间隔多久才进行一次检测，检测需要关闭的空闲连接，单位是毫秒
spring.datasource.timeBetweenEvictionRunsMillis=60000
# 配置一个连接在池中最小生存的时间，单位是毫秒
spring.datasource.minEvictableIdleTimeMillis=300000
spring.datasource.validationQuery=SELECT 1 FROM DUAL
spring.datasource.testWhileIdle=true
spring.datasource.testOnBorrow=false
spring.datasource.testOnReturn=false
# 打开PSCache，并且指定每个连接上PSCache的大小
spring.datasource.poolPreparedStatements=true
spring.datasource.maxPoolPreparedStatementPerConnectionSize=20
# 配置监控统计拦截的filters，去掉后监控界面sql无法统计，'wall'用于防火墙
spring.datasource.filters=stat,wall,log4j
# 通过connectProperties属性来打开mergeSql功能；慢SQL记录
spring.datasource.connectionProperties=druid.stat.mergeSql=true;druid.stat.slowSqlMillis=5000
# 合并多个DruidDataSource的监控数据
spring.datasource.useGlobalDataSourceStat=true







# REDIS (RedisProperties)
# Redis数据库索引（默认为0）
spring.redis.database=0  
# Redis服务器地址
spring.redis.host=git.topm.win
# Redis服务器连接端口
spring.redis.port=6379  
# Redis服务器连接密码（默认为空）
spring.redis.password=xintong
# 连接池最大连接数（使用负值表示没有限制）
spring.redis.pool.max-active=8  
# 连接池最大阻塞等待时间（使用负值表示没有限制）
spring.redis.pool.max-wait=-1  
# 连接池中的最大空闲连接
spring.redis.pool.max-idle=8  
# 连接池中的最小空闲连接
spring.redis.pool.min-idle=0  
# 连接超时时间（毫秒）
spring.redis.timeout=0 



logging.level.root=DEBUG
logging.level.org.springframework.web=DEBUG
logging.level.org.springframework.data=DEBUG
logging.level.org.springframework.security=DEBUG
logging.level.org.mybites=DEBUG



spring.devtools.restart.enabled=true



# JWT
jwt.header=token
jwt.secret=mySecret
jwt.expiration=604800
jwt.tokenHead=XinTong 


management.shell.auth.simple.user.name=wen
management.shell.auth.simple.user.password=wen
management.shell.auth.type=simple










